#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-4lmJ28vA59J4A586HpSDVX
key:                  lsp-1.4.0.0-4lmJ28vA59J4A586HpSDVX
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  4776b23c88d94ad1df0314cb0b37cceb
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-6tu5A2Zir9VJBr5Mf37zuD:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-6tu5A2Zir9VJBr5Mf37zuD:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-6tu5A2Zir9VJBr5Mf37zuD:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-6tu5A2Zir9VJBr5Mf37zuD:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-4lmJ28vA59J4A586HpSDVX
depends:
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99
    async-2.2.5-BuJk1pCvRYOCTk3w3YOF9n
    attoparsec-0.14.4-5wZOVAk6w2AKDrkEEe6wrE base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 exceptions-0.10.4
    hashable-1.4.4.0-EsPTAmPpYqX3hovcHlHOLX
    hslogger-1.3.1.2-A8x3Xha51IhG2VoQxwKOZP
    lens-5.2.3-ArLZ6zglf4zFaksKXWD2Ie
    lsp-types-1.4.0.1-6tu5A2Zir9VJBr5Mf37zuD mtl-2.2.2
    network-uri-2.6.4.2-6JHGslrp0HfJBcqTpqrtq5
    random-1.2.1.2-KvuM1oiX8xJ7hOrYY9vw8O
    scientific-0.3.7.0-1j3FKEOO1AWBjqM65TX7Sj
    sorted-list-0.2.2.0-EHBw0sX4LC51HLYaAvbwB1 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    uuid-1.3.16-6SXrF3fbtrD7JCx5kx9gRQ

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

